#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	WebFetch
Summary:	WebFetch - Perl module to download and save information from the Web
Summary(pl.UTF-8):	WebFetch - moduł Perla do ściągania i zapisywania informacji z WWW
Name:		perl-WebFetch
Version:	0.13
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/I/IK/IKLUFT/%{pdir}-%{version}.tar.gz
# Source0-md5:	c06a23ec6f9762d92c3510c685b1112e
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl(Locale::Country)
BuildRequires:	perl-Class-ISA
BuildRequires:	perl-DB_File
BuildRequires:	perl-Date-Calc
BuildRequires:	perl-Exception-Class
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-Template-Plugin-XML-XPath
BuildRequires:	perl-Test-Pod-Coverage
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-XML-Atom
BuildRequires:	perl-XML-RSS
BuildRequires:	perl-libwww
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WebFetch - infrastructure for downloading ("fetching") information
from various sources around the Internet or the local system in order
to present them for display, or to export local information to other
sites on the Internet.

%description -l pl.UTF-8
Moduł WebFetch - infrastruktura do ściągania informacji z różnych
źródeł w całym Internecie lub z lokalnego systemu w celu wyświetlenia
lub eksportu informacji na inne serwisy internetowe.

%prep
%setup -q -n %{pdir}-%{version}

# Coverage for WebFetch::Output::TWiki is 0.0%, with 5 naked subroutines
%{__sed} -i -e '/WebFetch::Output::TWiki/d' t/pod-coverage.t

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Embedding_API.pod README TODO
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/WebFetch
%{_mandir}/man3/*
%changelog
* Sat Jan 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-WebFetch.git;a=log;h=master

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> 2ae794d
- disable dubious test
- updated BRs and files
- rel 3

* Wed Jan 25 2012 zbyniu <zbyniu@pld-linux.org> 2e440e7
- BR: perl-Template-Plugin-XML-XPath; rel 2

* Wed Jan 25 2012 zbyniu <zbyniu@pld-linux.org> ad35d93
- up to 0.13

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5802899
- release 7

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 806b3d9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e1531f9
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 78139dc
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 3bf674f
- rel. 6

* Thu May 06 2004 ankry <ankry@pld-linux.org> d489026
- fixed perl-devel BR

* Tue May 04 2004 ankry <ankry@pld-linux.org> 005ff91
- license fix, cosmetics

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> 670360d
- new bconds

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 28453f7
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 736ee24
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> cd04038
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 7515d4e
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> c749d76
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 4ef1f60
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 647d7b6
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 6a339d5
- massive attack: change CPAN URLs

* Sat Oct 12 2002 radek <radek@pld-linux.org> 3be8b20
- restored empty autosplit.ix files
  (why are these little bastards needed, I don't know)
- release++

